#include <bits/stdc++.h>
#pragma GCC optimize("O3", "Ofast", "unroll-loops")
#pragma GCC target("avx2")
const int MAXN = 2'000'000;
long long lim[2];
long long add[2];
std::pair<int, int> v[MAXN + 1];

std::vector<int> solve(std::vector<int> a) {


  int idx = 0;
  int n = a.size();
  std::vector<int> ret(n);
  for( int i = 1; i < n; i += 2 ) {
    ret[idx++] = i;
  }
  if(n % 2 == 1)
    ret[idx++] = n - 1;
  for( int i = 0; i < n - n % 2; i += 2) {
    ret[idx++] = i;
  }
  return ret;
}
